# Generated from soar_analytics-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name soar_analytics

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Analytics toolset for the SOAR architecture
License: MIT
URL: https://github.com/hetznerZA/soar_analytics
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(byebug) >= 9
# BuildRequires: rubygem(byebug) < 10
# BuildRequires: rubygem(soar_auditing_format) >= 0.0.5
# BuildRequires: rubygem(soar_auditing_format) < 0.1
# BuildRequires: rubygem(soar_auditing_provider) >= 1.0
# BuildRequires: rubygem(soar_auditing_provider) < 2
# BuildRequires: rubygem(log4r_auditor) >= 1.0
# BuildRequires: rubygem(log4r_auditor) < 2
# BuildRequires: rubygem(soar_flow) >= 0.1
# BuildRequires: rubygem(soar_flow) < 1
BuildArch: noarch

%description
Analytics toolset for the SOAR architecture that provides for easy analysis of
matters such as performance.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/sanity
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/soar_analytics.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.0.1-1
- Initial package
